/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pl.edu.amu.wmi.min.relativecardinality.functions;

import static org.apache.commons.math3.util.FastMath.abs;
import static org.apache.commons.math3.util.FastMath.exp;
import static org.apache.commons.math3.util.FastMath.log;
import static org.apache.commons.math3.util.FastMath.pow;

/**
 *
 * @author bikol
 */
public class AAFunctions extends AbstractFunctions {

    private final double lambda;

    public AAFunctions(double lambda) {
        super("AA");
        this.lambda = lambda;
    }

    @Override
    public double f(double a, double b) {
        return exp(-pow(pow(abs(log(a)), lambda) + pow(abs(log(b)), lambda), 1.0 / lambda));
    }
}
