/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pl.edu.amu.wmi.min.relativecardinality.functions;

/**
 *
 * @author bikol
 */
public class HamFunctions extends AbstractFunctions {

    private final double lambda;

    public HamFunctions(double lambda) {
        super("Hamacher");
        this.lambda = lambda;
    }

    @Override
    public double getParam() {
        return lambda;
    }
    
    @Override
    public double f(double a, double b) {
        if (lambda == 0 && a == 0 && b == 0) {
            return 0;
        } else {
            return (a * b) / (lambda + (1 - lambda) * (a + b - a * b));
        }
    }

}
