/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pl.edu.amu.wmi.min.relativecardinality.functions;

import pl.edu.amu.wmi.min.relativecardinality.algorithm.Algorithm;

/**
 *
 * @author bikol
 */
public class MinExactFunctions extends MinFunctions {

    @Override
    public double p(boolean lower, double x, double l, double u) {
        if (lower) {
            if (x < l) {
                return 0;
            } else if (x < u) {
                return (x - l) / (u - l);
            } else {
                return 1;
            }
        } else {
            if (x < l) {
                return 0;
            } else if (x < u) {
                return 1;
            } else {
                return 1;
            }
        }
    }

    @Override
    public double u(boolean lower, double x, double l, double u, double m, double M, Algorithm.Accuracy accuracy) {
        if (lower) {
            return u;
        } else {
            if (x < l) {
                // moze sie zdazyc w poczatkowej fazie dzialania algorytmu gdzie
                // poczatkowe k jest ustalane na sztywno i jest wieksze od optymalnego
//                assert false;
                return l;
            } else if (x < u) {
                return x;
            } else {
                return u;
            }
        }
    }

}
