package pl.edu.amu.wmi.min.relativecardinality.functions;

/**
 *
 * @author bikol
 */
public class SWFunctions extends AbstractFunctions {

    private final double lambda;

    public SWFunctions(double lambda) {
        super("SW");
        this.lambda = lambda;
    }

    @Override
    public double getParam() {
        return lambda;
    }
    @Override
    public double f(double a, double b) {
        return Math.max(0, (a + b - 1.0 + lambda * a * b) / (lambda + 1.0));
    }

}
